package com.yc.ship.module.resource.service.ship;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.ship.vo.*;
import com.yc.ship.module.resource.dal.dataobject.ship.ResourceShipDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 资源管理-游轮管理 Service 接口
 *
 * @author fycloud
 */
public interface ResourceShipService {

    /**
     * 创建资源管理-游轮管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShip(@Valid ResourceShipSaveReqVO createReqVO);

    /**
     * 更新资源管理-游轮管理
     *
     * @param updateReqVO 更新信息
     */
    void updateShip(@Valid ResourceShipSaveReqVO updateReqVO);

    /**
     * 删除资源管理-游轮管理
     *
     * @param id 编号
     */
    void deleteShip(Long id);

    /**
     * 获得资源管理-游轮管理
     *
     * @param id 编号
     * @return 资源管理-游轮管理
     */
    ResourceShipDO getShip(Long id);

    /**
     * 获得资源管理-游轮管理分页
     *
     * @param pageReqVO 分页查询
     * @return 资源管理-游轮管理分页
     */
    PageResult<ResourceShipDO> getShipPage(ResourceShipPageReqVO pageReqVO);

    List<ResourceShipDO> getListSimple();

    List<ResourceShipDO> getList(List<Long> ids);
}